extends Control
class_name SelectPieceScreen

@onready var scene_manager: Node = $"../SceneManager"
@onready var start_button: TitleButton = $StartButton
@onready var rook: TitleButton = $HBoxContainer/Rook
@onready var knight: TitleButton = $HBoxContainer/Knight
@onready var bishop: TitleButton = $HBoxContainer/Bishop

var selected_piece: Piece = null

func _ready() -> void:
	# Temp image
	start_button.set_image("res://assets/ui/title_screen/play_button.png")
	rook.set_image("res://assets/Resized Chess Piece Assets/White_rook.png")
	knight.set_image("res://assets/Resized Chess Piece Assets/White_knight.png")
	bishop.set_image("res://assets/Resized Chess Piece Assets/White_Bishop.png")
	
	
func _on_start_pressed() -> void:
	RunData.start_run()
